%global moduledir %(pkg-config xorg-server --variable=moduledir )

%undefine _hardened_build

Name:           xorg-x11-drv-ati
Version:        19.1.0
Release:        4
Summary:        Xorg X11 ati video driver
License:        MIT
URL:            https://www.x.org
Source0:        https://www.x.org/pub/individual/driver/xf86-video-ati-%{version}.tar.bz2

Patch6000:	backport-Fix-link-failure-with-gcc-10.patch
	
BuildRequires:  pkgconfig(gbm) >= 10.6 libdrm-devel kernel-headers
BuildRequires:  automake autoconf libtool pkgconfig xorg-x11-util-macros
BuildRequires:  libudev-devel xorg-x11-glamor-devel xorg-x11-server-devel

Requires:       Xorg %(xserver-sdk-abi-requires ansic) Xorg %(xserver-sdk-abi-requires videodrv) libdrm >= 2.4.36-1

%description
X.Org X11 ati video driver.

%package_help

%prep
%autosetup -n xf86-video-ati-%{version} -p1

%build
autoreconf -iv
%configure --enable-glamor
%make_build

%check
make check

%install
%make_install
%delete_la

%files
%defattr(-,root,root)
%license COPYING
%{moduledir}/drivers/ati_drv.so
%{moduledir}/drivers/radeon_drv.so
%{_datadir}/X11/xorg.conf.d/10-radeon.conf

%files help
%defattr(-,root,root)
%doc README.md ChangeLog
%{_mandir}/man4/*.4*

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 19.1.0-4
- rebuild for next release

* Fri Jul 30 2021 yangcheng <yangcheng87@huawei.com> - 19.1.0-3
- Fix compilation failure caused by gcc 

* Fri Mar 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 19.1.0-2
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:enable make check

* Thu Jan 09 2020 openEuler Buildteam <buildteam@openeuler.org> - 19.1.0-1
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:update version to 19.1.0

* Sat Oct 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 19.0.1-2
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 19.0.1-1
- Package init
